import Vue from 'vue';
import VueRouter from "vue-router";
import Page from '../views/page.vue';
import NotFound from '../views/notFound.vue';

Vue.use(VueRouter);

export default new VueRouter({
  mode: 'history',
  routes: [
    {
      path: '/',
      redirect: '/page/679773f089e7bbf1b50a43e2c83645be/main',
    },
    {
      path: '/page/:uuid/:id',
      component: Page,
      name: 'page',
    },
    {
      path: '/demo',
      component: () => import('../views/demo.vue'),
    },
    {
      path: '*', component: NotFound,
    }
  ]
})
